package com.persagy.dmp.alarm.model;

import com.fasterxml.jackson.databind.node.ObjectNode;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Setter
@Getter
public class AlarmConfigModel {
    private String id;
    private String objId;
    private String classCode;
    private String projectId;
    private String itemCode;
    private String targetId;
    private String category;
    private String level;
    private String remark;
    private ObjectNode condition;
    private Integer open;
    private Integer concern;
    private Integer userDefined;
    private String createUser;
    private Date createTime;
    private String updateUser;
    private Date updateTime;
    private Integer valid;
    private String groupCode;
}
