package com.persagy.dmp.alarm.model;

import com.fasterxml.jackson.databind.node.ObjectNode;
import lombok.Getter;
import lombok.Setter;
import java.util.Date;

@Setter
@Getter
public class AlarmItemModel {

	private String id;
	private String code;
	private String name;
	private String category;
	private String level;
	private String remark;
	private ObjectNode condition;
	private String dealFun;
	private String createUser;
	private Date createTime;
	private String updateUser;
	private Date updateTime;
	private Integer valid;
	private String projectId;
	private String groupCode;
	private String appId;
}
