package com.persagy.dmp.alarm.model;

import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.dmp.alarm.enumeration.EnumAlarmLogType;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Setter
@Getter
public class AlarmLogModel {
	private String id;
	private String recordId;
	private EnumAlarmLogType type;
	private Integer nature;
	private Integer before;
	private Integer after;
	private ObjectNode remark;
	private Date createTime;
	private String projectId;
	private String groupCode;
	private String createUser;
//	private Date updateTime;
//	private Integer valid = 1;

}
