package com.persagy.dmp.alarm.model;

import com.fasterxml.jackson.databind.node.ObjectNode;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.Type;

import java.util.Date;

@Setter
@Getter
public class AlarmRecordModel {

	private String id;
	private String itemCode;
	private String projectId;
	private String objId;
	private String classCode;
	private String level;
	private String remark;
	private String name;
	private String category;
	private Integer concern;
	private Integer state;
	private Date effectStartTime;
	private Date effectEndTime;
	/**
	 * 报警性质
	 */
	private Integer nature;
	/**
	 * 处理方式
	 */
	private Integer treatMode;
	/**
	 * 处理状态
	 */
	private Integer treatState;
	private String createUser;
	private ObjectNode condition;
	private ObjectNode triggerInfo;
	private Date triggerTime;
	private ObjectNode endInfo;
	private Date endTime;
	private Date createTime;
	private String updateUser;
	private Date updateTime;
	private Integer valid;
	private String groupCode;
	private String orderId;
	private String orderState;
	private ObjectNode supplement;

	/**
	 * 忽略报警时间
	 */
	private Date ignoreTime;
	/**
	 * 报警处理完成时间
	 */
	private Date treatEndTime;

}
