package com.persagy.dmp.alarm.model;

import com.fasterxml.jackson.databind.node.ObjectNode;
import lombok.Getter;
import lombok.Setter;
import java.util.Date;

@Setter
@Getter
public class AlarmTargetModel {

	private String id;
	private String itemCode;
	private String classCode;
	private ObjectNode condition;
	private Integer concern;
	private String level;
	private Integer open;
	private String createUser;
	private Date createTime;
	private String updateUser;
	private Date updateTime;
	private Integer valid;
	private String projectId;
	private String groupCode;

}
