# org config
delete from `integrated_config` where application = 'dmp-org';
INSERT INTO `integrated_config`
(`APPLICATION`,`PPROFILE`,`LABLE`,`BELONGTO`,`ISUPDATE`,`PKEY`,`PVALUE`,`DESCRIPTION`)
VALUES
('dmp-org','default','master','DMP',1,'spring.jackson.time-zone', 'Asia/Shanghai', null),
('dmp-org','default','master','DMP',1,'spring.jpa.show-sql', 'false', null),
('dmp-org','default','master','DMP',1,'spring.jpa.hibernate.ddl-auto', 'none', null),
('dmp-org','default','master','DMP',1,'management.endpoints.web.exposure.include', '*', null),
('dmp-org','default','master','DMP',1,'management.endpoint.health.show-details', 'ALWAYS', null),
('dmp-org','default','master','DMP',1,'eureka.client.fetch-registry','true',null),
('dmp-org','default','master','DMP',1,'eureka.client.register-with-eureka','true',null),
('dmp-org','default','master','DMP',1,'eureka.instance.lease-renewal-interval-in-seconds','10',null),
('dmp-org','default','master','DMP',1,'eureka.instance.lease-expiration-duration-in-seconds','30',null),
('dmp-org','default','master','DMP',1,'eureka.instance.hostname','${spring.application.name}',null),
('dmp-org','default','master','DMP',1,'eureka.instance.prefer-ip-address','true',null),
('dmp-org','default','master','DMP',1,'eureka.instance.instance-id','${spring.cloud.client.ip-address}:${server.port}',null),

('dmp-org','default','master','DMP',1,'spring.shardingsphere.props.sql.show', 'false', null),
('dmp-org','default','master','DMP',1,'spring.shardingsphere.datasource.names', 'ds0', null),
('dmp-org','default','master','DMP',1,'spring.shardingsphere.datasource.ds0.type', 'com.alibaba.druid.pool.DruidDataSource', null),
('dmp-org','default','master','DMP',1,'spring.shardingsphere.datasource.ds0.driverClassName', 'com.mysql.cj.jdbc.Driver', null),
('dmp-org','default','master','DMP',1,'spring.shardingsphere.datasource.ds0.url', 'jdbc:mysql://${persagy.mysql.host}:${persagy.mysql.port}/${persagy.mysql.database}?useUnicode=true&characterEncoding=utf-8&mysqlEncoding=utf8&useSSL=false', null),
('dmp-org','default','master','DMP',1,'spring.shardingsphere.datasource.ds0.username', '${persagy.mysql.username}', null),
('dmp-org','default','master','DMP',1,'spring.shardingsphere.datasource.ds0.password', '${persagy.mysql.password}', null),
('dmp-org','default','master','DMP',1,'spring.shardingsphere.datasource.ds0.initialSize', '${persagy.mysql.initialSize}', null),
('dmp-org','default','master','DMP',1,'spring.shardingsphere.datasource.ds0.maxActive', '${persagy.mysql.maxActive}', null),
('dmp-org','default','master','DMP',1,'spring.shardingsphere.sharding.default-data-source-name', 'ds0', null),

('dmp-org','default','master','DMP',1,'spring.rabbitmq.host', '${persagy.rabbitmq.host}', null),
('dmp-org','default','master','DMP',1,'spring.rabbitmq.port', '${persagy.rabbitmq.port}', null),
('dmp-org','default','master','DMP',1,'spring.rabbitmq.username', '${persagy.rabbitmq.username}', null),
('dmp-org','default','master','DMP',1,'spring.rabbitmq.password', '${persagy.rabbitmq.password}', null),
('dmp-org','default','master','DMP',1,'spring.rabbitmq.virtual-host', '${persagy.rabbitmq.virtual-host}', null),

('dmp-org','default','master','DMP',1,'spring.redis.host', '${persagy.redis.host}', null),
('dmp-org','default','master','DMP',1,'spring.redis.port', '${persagy.redis.port}', null),
('dmp-org','default','master','DMP',1,'spring.redis.password', '${persagy.redis.password}', null),
('dmp-org','default','master','DMP',1,'spring.redis.database', '${persagy.redis.database}', null),
('dmp-org','default','master','DMP',1,'spring.redis.pool.max-active', '${persagy.redis.max-active}', null),
('dmp-org','default','master','DMP',1,'spring.redis.pool.max-idle', '${persagy.redis.max-idle}', null),
('dmp-org','default','master','DMP',1,'spring.redis.pool.min-idle', '${persagy.redis.min-idle}', null),

('dmp-org','default','master','DMP',1,'persagy.dmp.exchange', 'exchange-dmp', null),
('dmp-org','default','master','DMP',1,'persagy.dmp.dic.routingKey', 'routing-dmp-dic', null),
('dmp-org','default','master','DMP',1,'persagy.dmp.org.routingKey', 'routing-dmp-org', null),
('dmp-org','default','master','DMP',1,'persagy.dmp.rwd.routingKey', 'routing-dmp-rwd', null),
('dmp-org','default','master','DMP',1,'persagy.dmp.alarm.routingKey', 'routing-dmp-alarm', null),
('dmp-org','default','master','DMP',1,'persagy.dmp.task.routingKey', 'routing-dmp-task', null),

('dmp-org','dev','master','DMP',1,'server.port', '8080', null),

('dmp-org','dev','master','DMP',1,'eureka.client.service-url.defaultZone','http://frame:123456@localhost:9931/eureka/','注册中心地址'),
('dmp-org','dev','master','DMP',1,'eureka.instance.ip-address','localhost',null),
('dmp-org','dev','master','DMP',1,'persagy.iot.data.server', 'http://localhost:9981', 'IOT数据查询服务'),
('dmp-org','dev','master','DMP',1,'persagy.iot.setting.server', 'http://localhost:9983', 'IOT控制服务'),

('dmp-org','dev','master','DMP',1,'persagy.mysql.host', 'localhost', null),
('dmp-org','dev','master','DMP',1,'persagy.mysql.port', '3301', null),
('dmp-org','dev','master','DMP',1,'persagy.mysql.database', 'dmp_test', null),
('dmp-org','dev','master','DMP',1,'persagy.mysql.username', 'root', null),
('dmp-org','dev','master','DMP',1,'persagy.mysql.password', '123456', null),
('dmp-org','dev','master','DMP',1,'persagy.mysql.initialSize', '10', null),
('dmp-org','dev','master','DMP',1,'persagy.mysql.maxActive', '100', null),

('dmp-org','dev','master','DMP',1,'persagy.redis.host', 'localhost', null),
('dmp-org','dev','master','DMP',1,'persagy.redis.port', '6379', null),
('dmp-org','dev','master','DMP',1,'persagy.redis.password', '123456', null),
('dmp-org','dev','master','DMP',1,'persagy.redis.database', '0', null),
('dmp-org','dev','master','DMP',1,'persagy.redis.max-active', '300', null),
('dmp-org','dev','master','DMP',1,'persagy.redis.max-idle', '30', null),
('dmp-org','dev','master','DMP',1,'persagy.redis.min-idle', '10', null),

('dmp-org','dev','master','DMP',1,'persagy.rabbitmq.host', 'localhost', null),
('dmp-org','dev','master','DMP',1,'persagy.rabbitmq.port', '5672', null),
('dmp-org','dev','master','DMP',1,'persagy.rabbitmq.username', 'admin', null),
('dmp-org','dev','master','DMP',1,'persagy.rabbitmq.password', '123456', null),
('dmp-org','dev','master','DMP',1,'persagy.rabbitmq.virtual-host', '/test', 'rabbitmq虚拟机'),
('dmp-org','dev','master','DMP',1,'persagy.dmp.org.queue', 'queue-dmp-org', null),

('dmp-org','dev','master','DMP',1,'persagy.log.path', '.', '日志文件所在路径');

