package com.persagy.dmp.org.model;

import com.persagy.dmp.org.entity.Company;
import lombok.Getter;
import lombok.Setter;
import java.util.Date;
import java.util.List;

@Setter
@Getter
public class ProjectModel {

	private String id;
	private String name;
	private String groupCode;
	private Integer status;
	private String createUser;
	private Date createTime;
	private String updateUser;
	private Date updateTime;
	private String remark;

	/**
	 * 包含项目的公司
	 */
	private List<Company> companies;
}
