package com.persagy.dmp.rwd.funcid.parse.model;

import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class RegionValue<T> {

	@JsonAlias(value = "$gt")
	public T $gt;
	@JsonAlias(value = "$gte")
	public T $gte;
	@JsonAlias(value = "$lte")
	public T $lte;
	@JsonAlias(value = "$lt")
	public T $lt;

	public RegionValue() {
	}

	public RegionValue(T $gt, T $gte, T $lte, T $lt) {
		this.$gt = $gt;
		this.$gte = $gte;
		this.$lte = $lte;
		this.$lt = $lt;
	}

	public boolean isEmpty() {
		return this.$gt == null && this.$gte == null && this.$lte == null && this.$lt == null;
	}

}
