package com.persagy.dmp.dpt.model;

import com.fasterxml.jackson.databind.node.ObjectNode;
import lombok.Getter;
import lombok.Setter;
import java.util.Date;

@Setter
@Getter
public class TaskCfgModel {

	private String id;
	private String groupCode;
	private String appId;
	private String projectId;
	private String code;
	private String name;
	private String type;
	private ObjectNode config;
	private ObjectNode params;
	private ObjectNode timeRule;
	private Date startTime;
	private Date endTime;
	private Integer responseTime;
	private String level;
	private Integer status;
	private String remark;

}
