package com.persagy.dmp.rwd.model;

import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

/**
 * @author: yaoll
 * @date: 2020-10-22
 * @verison: 1.0
 */

@Getter
@Setter
public class DmpMessage {

	private String mid;
	private String type;
	private String groupCode;
	private String projectId;
	private String targetId;
	private Integer int1;
	private Integer int2;
	private String str1;
	private String str2;
	private String sendTime;
	private String expireTime;
	private String appId;
	private String userId;
	private Map<String, Object> exts;

	public DmpMessage() {
	}

	public DmpMessage(String type, String targetId) {
		this.type = type;
		this.targetId = targetId;
	}

	public DmpMessage add(String key, Object value) {
		if (exts == null) {
			this.exts = new HashMap<>();
		}
		this.exts.put(key, value);
		return this;
	}
}
