package com.persagy.dmp.rwd.model;

import com.fasterxml.jackson.databind.node.ObjectNode;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Setter
@Getter
public class ObjectInstanceModel {

	private String id;
	private String name;
	private String localId;
	private String localName;
	private String projectId;
	private String objType;
	private String classCode;
	private Integer grouping;
	private Integer valid;
	private ObjectNode infos;
	private List<String> virtualInfoCodes;
	private Date createTime;
	private Date updateTime;
	private String createUser;
	private String updateUser;
	private String createApp;
	private String updateApp;

}
