package com.persagy.dmp.org.model;

import com.persagy.dmp.org.entity.Project;
import lombok.Getter;
import lombok.Setter;
import java.util.Date;
import java.util.List;

@Setter
@Getter
public class CompanyModel {

	private String id;
	private String code;
	private String name;
	private String groupCode;
	private String parentId;
	private Integer status;
	private String createUser;
	private Date createTime;
	private String updateUser;
	private Date updateTime;
	private String remark;

	/**
	 * 公司下的项目
	 */
	private List<Project> projects;

	private List<String> projectIds;
}
