package com.persagy.dmp.org.model;

import com.persagy.dmp.org.entity.Job;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Setter
@Getter
public class UserModel {

	private String id;
	private String personId;
	private String name;
	private String username;
	private String password;
	private String idNumber;
	private Integer gender;
	private String phone;
	private String mail;
	private Date birthday;
	private String headPortrait;
	private String otherAccount;
	private String userFrom;
	private String groupCode;
	private String isAdmin;
	private Integer status;
	private String createUser;
	private Date createTime;
	private String updateUser;
	private Date updateTime;
	private String remark;

	private Date lastLoginTime;
	private String lastIp;

	/**
	 * 岗位
	 */
	private List<Job> jobs;
}
