package com.persagy.dmp.rwd.dic;

import com.fasterxml.jackson.databind.node.ArrayNode;
import com.persagy.dmp.rwd.enums.FuncidCategory;
import com.persagy.dmp.rwd.enums.FuncidDataType;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class FuncidDefModel {

	private String id;
	private String code;
	private String origCode;
	private String name;
	private String aliasCode;
	private String aliasName;
	private String classCode;
	private FuncidCategory category;
	private String type;
	private String groupCode;
	private String projectId;
	private String firstTag;
	private String secondTag;
	private String priority;
	private String inputMode;
	private String unit;
	private FuncidDataType dataType;
	private String origDataType;
	private Boolean isMultiple;
	private Boolean isRegion;
	private String formater;
	private ArrayNode dataSource;
	private String origDataSource;
	private String note;
	private Boolean subFlag;
	private Boolean weakPoint;

}
