package com.persagy.dmp.rwd.controller;

import com.persagy.common.web.MapResponse;
import com.persagy.dmp.rwd.service.InitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: yaoll
 * @date: 2020-09-29
 * @verison: 1.0
 */
@RestController
@RequestMapping("/rwd/init")
public class InitController {

	@Autowired
	private InitService initService;

	@GetMapping("/group")
	public MapResponse initGroup() {
		return initService.initGroup();
	}

	@GetMapping("/project")
	public MapResponse initProject(@RequestParam String projectName) {
		return initService.initProject(projectName);
	}

}
