package com.persagy.dmp.rwd.entity;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;
import java.util.Objects;

/**
 * @author: yaoll
 * @date: 2020-11-01
 * @verison: 1.0
 */
@Embeddable
public class GroupPK implements Serializable {

	@Column
	private String id;

	@Column
	private String groupCode;

	public GroupPK() {
	}

	public GroupPK(String id, String groupCode) {
		this.id = id;
		this.groupCode = groupCode;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
		GroupPK groupPK = (GroupPK) o;
		return id.equals(groupPK.id) &&
				groupCode.equals(groupPK.groupCode);
	}

	@Override
	public int hashCode() {
		return Objects.hash(id, groupCode);
	}

	@Override
	public String toString() {
		return "GroupPK{id=\"" + id + "\", groupCode=\"" + groupCode + "\"}";
	}
}
