package com.persagy.dmp.rwd.jms.executor;

import com.persagy.common.json.JacksonMapper;
import com.persagy.dmp.rwd.jms.MessageExecutor;
import com.persagy.dmp.rwd.model.DmpMessage;
import com.persagy.dmp.rwd.service.InitService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author: yaoll
 * @date: 2020-10-28
 * @verison: 1.0
 */
@Slf4j
@Component
public class GroupCreateExecutor implements MessageExecutor {

	@Autowired
	private InitService initService;

	@Override
	public void execute(DmpMessage message) {
		log.info("group createa : {}", JacksonMapper.toSimpleJson(message));
		initService.initGroup();
	}

}
