package com.persagy.dmp.rwd.jms.executor;

import com.persagy.common.json.JacksonMapper;
import com.persagy.dmp.rwd.jms.MessageExecutor;
import com.persagy.dmp.rwd.model.DmpMessage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author: yaoll
 * @date: 2020-10-22
 * @verison: 1.0
 */
@Slf4j
@Component
public class InstanceObjectUpdateExecutor implements MessageExecutor {

	@Override
	public void execute(DmpMessage message) {
		log.info("instance update : {}", JacksonMapper.toSimpleJson(message));
	}

}
